<?php


namespace Gitlab\Api\Parameters;


class ListGroupProjects
{
    /*
     * @var bool
     */
    private $archived;// 	boolean 	no 	Limit by archived status
    private $visibility;// 	string 	no 	Limit by visibility public, internal, or private
    private $order_by;// 	string 	no 	Return projects ordered by id, name, path, created_at, updated_at, or last_activity_at fields. Default is created_at
    private $sort;// 	string 	no 	Return projects sorted in asc or desc order. Default is desc
    private $search;// 	string 	no 	Return list of authorized projects matching the search criteria
    private $simple;// 	boolean 	no 	Return only the ID, URL, name, and path of each project
    private $owned;// 	boolean 	no 	Limit by projects owned by the current user
    private $starred;// 	boolean 	no 	Limit by projects starred by the current user
    private $with_issues_enabled;// 	boolean 	no 	Limit by projects with issues feature enabled. Default is false
    private $with_merge_requests_enabled;// 	boolean 	no 	Limit by projects with merge requests feature enabled. Default is false
    private $with_shared;// 	boolean 	no 	Include projects shared to this group. Default is true
    private $include_subgroups;// 	boolean 	no 	Include projects in subgroups of this group. Default is false
    private $with_custom_attributes;// 	boolean 	no 	Include custom attributes in response (admins only)

}